# Uses of Class
java.nio.channels.DatagramChannel

Packages that use DatagramChannel
Package
Description
java.net
Provides the classes for implementing networking applications.
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.channels.spi
Service-provider classes for the `java.nio.channels` package.

## Uses of DatagramChannel in java.net

Methods in java.net that return DatagramChannel
Modifier and Type
Method
Description
`DatagramChannel`
DatagramSocket.`getChannel()`
Returns the unique `DatagramChannel` object associated with this datagram socket, if any.

## Uses of DatagramChannel in java.nio.channels

Methods in java.nio.channels that return DatagramChannel
Modifier and Type
Method
Description
`abstract DatagramChannel`
DatagramChannel.`bind(SocketAddress local)`
`abstract DatagramChannel`
DatagramChannel.`connect(SocketAddress remote)`
Connects this channel's socket.
`abstract DatagramChannel`
DatagramChannel.`disconnect()`
Disconnects this channel's socket.
`static DatagramChannel`
DatagramChannel.`open()`
Opens a datagram channel.
`static DatagramChannel`
DatagramChannel.`open(ProtocolFamily family)`
Opens a datagram channel.
`abstract <T> DatagramChannel`
DatagramChannel.`setOption(SocketOption<T> name, T value)`

## Uses of DatagramChannel in java.nio.channels.spi

Methods in java.nio.channels.spi that return DatagramChannel
Modifier and Type
Method
Description
`abstract DatagramChannel`
SelectorProvider.`openDatagramChannel()`
Opens a datagram channel.
`abstract DatagramChannel`
SelectorProvider.`openDatagramChannel(ProtocolFamily family)`
Opens a datagram channel.